#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Sep 10 13:53:04 2019

@author: wolterse
"""

import os
import sys
from sentinelsat import SentinelAPI
import glob

prod_types = ['L2__CO____', 'L2__NO2___', 'L2__HCHO__']

dir_download = '/data/users/Private/wolterse/S5P'
footprint    = 'POLYGON((-179.99 80.00, 179.99 80.00, 179.99 -80.00, -179.99 -80.00, -179.99 80.00))'

api = SentinelAPI('s5pguest','s5pguest','https://s5phub.copernicus.eu/dhus/#/home')
                  
print('--> Search for S5P products on API')                  
products=api.query(footprint,date=('20190301','20190310'), producttype=prod_types[1])
print('Number of products:',len(products))

print('--> Download products to outdir')
api.download_all(products,directory_path=dir_download)

print('--> Done!')

#rename the .zip files to .nc files
files = glob.glob(dir_download + '/*.zip')

#for some peculiar reason, the retrieved netcdf files have extension .zip, sorenaming is necessary
for file in files:
    ren_file = str.replace(file, 'zip', 'nc')
    os.rename(file, ren_file)